QGIS Application - Bug report #13936
R script and data type qlonglong the output was always empty
2015-12-02 06:28 AM - salvatore fiandaca

Status: Rejected

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.12.0 Regression?: No

Operating System: Windows 10 64 bit Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 21953
Description

Using R scripts (especially Histogram and Summary statics) in processing QGIS | realized that:
the output was always empty (blank page) when | used with field data type 'glonglong’ (postgis views with GROUP BY and COUNT (*)).
| solved the problem with a simple casting or converting 'glonglong' in 'integer'.

count (*) :: integer

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Regression? set to No
- Easy fix? set to No

#2 - 2017-05-01 10:55 AM - Giovanni Manghi

A few providers are being removed from QGIS3 (they will be available as plugins), so the respective categories are also being removed from the bug
tracker. Where necessary the tickets will be reassigned to "processing/core" to not leave them orphaned of category.

#3 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them
orphaned of a category they are being reassigned to processing/core.

#4 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 124 to Processing/Core

#5 - 2017-05-03 07:37 PM - Alexander Bruy

- Resolution set to up/downstream

- Description updated
- Status changed from Open to Rejected

Moved to plugin bugtracker https:/github.com/alexbruy/processing-r/issues/3
